{
  "lexicon": 1,
  "id": "space.polymodel.graph.createFollow",
  "defs": {
    "main": {
      "type": "procedure",
      "description": "Create a Polymodel-native follow record for the authenticated actor.",
      "input": {
        "encoding": "application/json",
        "schema": {
          "type": "object",
          "required": [
            "subject"
          ],
          "properties": {
            "subject": {
              "type": "string",
              "format": "did"
            }
          }
        }
      },
      "output": {
        "encoding": "application/json",
        "schema": {
          "type": "object",
          "required": [
            "uri",
            "cid"
          ],
          "properties": {
            "cid": {
              "type": "string",
              "format": "cid"
            },
            "created": {
              "type": "boolean"
            },
            "uri": {
              "type": "string",
              "format": "at-uri"
            }
          }
        }
      }
    }
  }
}